Package org.eclipse.mat.inspections

# Class FindLeaksQuery.SuspectRecordGroupOfObjects

java.lang.Object
org.eclipse.mat.inspections.FindLeaksQuery.SuspectRecord
org.eclipse.mat.inspections.FindLeaksQuery.SuspectRecordGroupOfObjects

All Implemented Interfaces:
  `Comparable<FindLeaksQuery.SuspectRecord>`

Enclosing class:
  FindLeaksQuery

public static class FindLeaksQuery.SuspectRecordGroupOfObjects extends FindLeaksQuery.SuspectRecord

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getCommonPath()`
`IMultiplePathsFromGCRootsComputer`
`getPathsComputer()`
`int[]`
`getSuspectInstances()`

### Methods inherited from class org.eclipse.mat.inspections.FindLeaksQuery.SuspectRecord

`compareTo, equals, getAccumulationPoint, getSuspect, getSuspectRetained, hashCode`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getCommonPath

public int[] getCommonPath()

### getPathsComputer

public IMultiplePathsFromGCRootsComputer getPathsComputer()

### getSuspectInstances

public int[] getSuspectInstances()